## org.jboss.jdbc
Interface JDBCDataSourceLoaderMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  JDBCDataSourceLoader

public interface JDBCDataSourceLoaderMBean
extends ServiceMBean

Field Summary
`static java.lang.String` `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`long` `getGCInterval()`
`long` `getGCMinIdleTime()`
`long` `getIdleTimeout()`
`java.lang.String` `getJDBCUser()`
`float` `getMaxIdleTimeoutPercent()`
`int` `getMaxSize()`
`int` `getMinSize()`
`java.lang.String` `getPassword()`
`java.lang.String` `getPoolName()`
`java.lang.String` `getProperties()`
`java.lang.String` `getURL()`
`boolean` `isBlocking()`
`boolean` `isGCEnabled()`
`boolean` `isIdleTimeoutEnabled()`
`boolean` `isInvalidateOnError()`
`boolean` `isLoggingEnabled()`
`boolean` `isTimestampUsed()`
`void` `setBlocking(boolean blocking)`
`void` `setGCEnabled(boolean gcEnabled)`
`void` `setGCInterval(long interval)`
`void` `setGCMinIdleTime(long idleMillis)`
`void` `setIdleTimeout(long idleMillis)`
`void` `setIdleTimeoutEnabled(boolean enabled)`
`void` `setInvalidateOnError(boolean invalidate)`
`void` `setJDBCUser(java.lang.String userName)`
`void` `setLoggingEnabled(boolean enabled)`
`void` `setMaxIdleTimeoutPercent(float percent)`
`void` `setMaxSize(int maxSize)`
`void` `setMinSize(int minSize)`
`void` `setPassword(java.lang.String password)`
`void` `setPoolName(java.lang.String name)`
`void` `setProperties(java.lang.String properties)`
`void` `setTimestampUsed(boolean timestamp)`
`void` `setURL(java.lang.String url)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

### getPoolName

    public java.lang.String getPoolName()

### setURL

    public void setURL(java.lang.String url)

### getURL

    public java.lang.String getURL()

### setJDBCUser

    public void setJDBCUser(java.lang.String userName)

### getJDBCUser

    public java.lang.String getJDBCUser()

### setPassword

    public void setPassword(java.lang.String password)

### getPassword

    public java.lang.String getPassword()

### setProperties

    public void setProperties(java.lang.String properties)

### getProperties

    public java.lang.String getProperties()

### setLoggingEnabled

    public void setLoggingEnabled(boolean enabled)

### isLoggingEnabled

    public boolean isLoggingEnabled()

### setMinSize

    public void setMinSize(int minSize)

### getMinSize

    public int getMinSize()

### setMaxSize

    public void setMaxSize(int maxSize)

### getMaxSize

    public int getMaxSize()

### setBlocking

    public void setBlocking(boolean blocking)

### isBlocking

    public boolean isBlocking()

### setGCEnabled

    public void setGCEnabled(boolean gcEnabled)

### isGCEnabled

    public boolean isGCEnabled()

### setGCInterval

    public void setGCInterval(long interval)

### getGCInterval

    public long getGCInterval()

### setGCMinIdleTime

    public void setGCMinIdleTime(long idleMillis)

### getGCMinIdleTime

    public long getGCMinIdleTime()

### setIdleTimeoutEnabled

    public void setIdleTimeoutEnabled(boolean enabled)

### isIdleTimeoutEnabled

    public boolean isIdleTimeoutEnabled()

### setIdleTimeout

    public void setIdleTimeout(long idleMillis)

### getIdleTimeout

    public long getIdleTimeout()

### setMaxIdleTimeoutPercent

    public void setMaxIdleTimeoutPercent(float percent)

### getMaxIdleTimeoutPercent

    public float getMaxIdleTimeoutPercent()

### setInvalidateOnError

    public void setInvalidateOnError(boolean invalidate)

### isInvalidateOnError

    public boolean isInvalidateOnError()

### setTimestampUsed

    public void setTimestampUsed(boolean timestamp)

### isTimestampUsed

    public boolean isTimestampUsed()

Copyright © 2000 The JBoss Organization. All Rights Reserved.